package com.dla.dda.domain.model.request;

import java.io.Serializable;
import java.util.Arrays;

import org.springframework.core.io.InputStreamSource;

import com.dla.dda.domain.constants.Operacion;

public class EmailRequest implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * poner atributos con susana
	 */
	private String[] destinatarios; 
	
	private String body;

	private String name;

	private String date;

	private String userName;

	private String toCompany;

	private String subject;
	
	private Operacion operacion;
	
	private String  etiqueta;
	
	private InputStreamSource ios;

	private String contentType;

	private String attachmentFilename;
	

	public String getEtiqueta() {
		return etiqueta;
	}

	public void setEtiqueta(String etiqueta) {
		this.etiqueta = etiqueta;
	}

	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}

	public String[] getDestinatarios() {
		return destinatarios;
	}

	public void setDestinatarios(String[] destinatarios) {
		this.destinatarios = destinatarios;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getToCompany() {
		return toCompany;
	}

	public void setToCompany(String toCompany) {
		this.toCompany = toCompany;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	

	public Operacion getOperacion() {
		return operacion;
	}

	public void setOperacion(Operacion operacion) {
		this.operacion = operacion;
	}
	
	public InputStreamSource getIos() {
		return ios;
	}

	public void setIos(InputStreamSource ios) {
		this.ios = ios;
	}

	public String getContentType() {
		return contentType;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public String getAttachmentFilename() {
		return attachmentFilename;
	}

	public void setAttachmentFilename(String attachmentFilename) {
		this.attachmentFilename = attachmentFilename;
	}

	@Override
	public String toString() {
		return "EmailRequest [destinatarios=" + Arrays.toString(destinatarios)
				+ ", body=" + body + ", name=" + name + ", date=" + date
				+ ", userName=" + userName + ", toCompany=" + toCompany
				+ ", subject=" + subject + ", operacion=" + operacion
				+ ", etiqueta=" + etiqueta + "]";
	}

	
	


	

	

}
